export declare const version = "v1.3.1";
export declare const configKeys: {
    varsnap: string;
    env: string;
    producerToken: string;
    consumerToken: string;
    logger: any;
};
export interface Logger {
    debug(s: string): void;
    log(s: string): void;
    error(s: string): void;
}
export declare class Util {
    static logger: Logger;
    static getConfig(config: any, configKey: any): string;
    static getSignature(targetFunc: any): string;
    static ajax(url: any, requestData: any): Promise<unknown>;
    static debug(data: any): void;
    static log(data: any): void;
    static error(data: any): void;
    static resetProducers(): void;
    static resetConsumers(): void;
    static getProducers(): Producer[];
    static getConsumers(): Consumer[];
    static limitString(x: any): any;
}
export declare class Producer {
    targetFunc: any;
    config: any;
    constructor(targetFunc: any, config: any);
    isEnabled(): boolean;
    static serialize(data: any): string;
    produce(args: any, output: any): void;
}
export declare class Consumer {
    targetFunc: any;
    config: any;
    constructor(targetFunc: any, config: any);
    isEnabled(): boolean;
    static deserialize(data: any): any;
    consumeOnce(): Promise<boolean>;
    reportCentral(snap: any, localOutputs: any, matches: any): Promise<any>;
    reportLog(snapID: any, inputs: any, prodOutputs: any, localOutputs: any, matches: any, trialURL: any): void;
}
export declare function varsnap(func: any): any;
export declare namespace varsnap {
    var config: {
        varsnap: string;
        env: string;
        producerToken: string;
        consumerToken: string;
        logger: any;
    };
    var version: string;
    var runTests: typeof import("./core").runTests;
}
export declare function runTests(): Promise<boolean>;
